/* Presentation Events */
xScriptContext = uno.getScriptContext() -- wrap first argument into an UNO-proxy object

oDesktop=xScriptContext~getDesktop -- get the desktop (an XDesktop object)

-- Retrieve the Desktop object, we need its XComponentLoader interface to load 
-- a new document
xComponentLoader = oDesktop~XDesktop~XComponentLoader  -- get componentLoader interface
                                                      			
/* open the blank *.sxw - file */
url = "private:factory/simpress"
xImpressComponent = xComponentLoader~loadComponentFromURL(url, "_blank",0,.UNO~noProps) 
                                                          
-- need document's factory to be able to insert created objects
xImpressFactory = xImpressComponent~XMultiServiceFactory

xDrawPagesSupplier = xImpressComponent~XDrawPagesSupplier
xDrawPages = xDrawPagesSupplier~getDrawPages

DO WHILE xDrawPages~getCount < 3
        xDrawPages~insertNewByIndex(0)
END

xDrawPage0 = xDrawPages~getByIndex(0)~xDrawPage
oGraph = xImpressFactory~createInstance("com.sun.star.drawing.RectangleShape")
xGraph = oGraph~xShape
xGraph = setshape(xGraph, 5000, 5000, 1000, 1000)
xDrawPage0~add(xGraph)

xSlideProps =  xGraph~xPropertySet
c =bsf.getConstant("com.sun.star.presentation.AnimationEffect", "WAVYLINE_FROM_BOTTOM")
xSlideProps~setPropertyValue("Effect", c)
xSlideProps~setPropertyValue("DimHide", box(boolean, false))
xSlideProps~setPropertyValue("DimPrevious", box(boolean, true))
xSlideProps~setPropertyValue("DimColor", box("int", "C0 C0 C0"x ~c2d))

xDrawPage0 = xDrawPages~getByIndex(1)~xDrawPage
oGraph = xImpressFactory~createInstance("com.sun.star.drawing.EllipseShape")
xGraph = oGraph~xShape
xGraph = setshape(xGraph, 5000, 5000, 21000, 15000)
xDrawPage0~add(xGraph)

xSlideProps =  xGraph~xPropertySet
constant = bsf.getConstant("com.sun.star.presentation.AnimationEffect", "HIDE")
xSlideProps~setPropertyValue("Effect", constant)

xDrawPage0 = xDrawPages~getByIndex(2)~xDrawPage
oGraph = xImpressFactory~createInstance("com.sun.star.drawing.EllipseShape")
xGraph = oGraph~xShape
xGraph = setshape(xGraph, 5000, 5000, 1000, 8000)
xDrawPage0~add(xGraph)

xSlideProps =  xGraph~xPropertySet
c = bsf.getConstant("com.sun.star.presentation.AnimationEffect", "FADE_FROM_BOTTOM")
xSlideProps~setPropertyValue("Effect", c)
constant = bsf.getConstant("com.sun.star.presentation.ClickAction", "FIRSTPAGE")
xSlideProps~setPropertyValue("OnClick", constant)

xDrawPage0 = xDrawPages~getByIndex(2)~xDrawPage
oGraph = xImpressFactory~createInstance("com.sun.star.drawing.RectangleShape")
xGraph = oGraph~xShape
xGraph = setshape(xGraph, 5000, 5000, 22000, 8000)
xDrawPage0~add(xGraph)

xSlideProps =  xGraph~xPropertySet
c = bsf.getConstant("com.sun.star.presentation.AnimationEffect", "FADE_FROM_BOTTOM")
xSlideProps~setPropertyValue("Effect", c)
c = bsf.getConstant("com.sun.star.presentation.ClickAction", "BOOKMARK")
xSlideProps~setPropertyValue("OnClick", c)
xNamed = xDrawPages~getbyIndex(1)~xNamed
xNamed~setName("page - two")
xSlideProps~setPropertyValue("Bookmark", xNamed~getName)

::requires UNO.CLS   -- load UNO support for OpenOffice.org

::routine setshape

use arg xGraph, h, w, x, y
size = .bsf~new("com.sun.star.awt.Size")
point = .bsf~new("com.sun.star.awt.Point")
size~Height = h
size~Width = w
point~x = x
point~y= y
xGraph~setPosition(point)
xGraph~setSize(size)

return xGraph
