/* Hello World in ooRexx, cf. http://www.ooRexx.org, version: 2008-06-16, ---rgf                */
-- signal on syntax                          /* uncomment, if condition/exceptions should be    */
                                             /* displayed in a popup dialog                     */

xScriptContext=uno.getScriptContext()        /* get the xScriptContext object                   */
oDoc=xScriptContext~getDocument              /* get the document service (a XModel) object      */
/*
xDesktop=xScriptContext~getDesktop           /* get the desktop (a XDesktop) object             */
xContext=xScriptContext~getComponentContext  /* get the context (a XComponentContext) object    */
*/

      /* replace the following part with your code (begin) ==> */
      /* demonstration of how to interact with different document types */
str="Hello world ["date("s") time()"] by http://www.ooRexx.org! "    /* define some text        */

if oDoc~uno.queryServiceName("TextDocument")<>"" then    /* a TextDcoument in hand?             */
do
   xTextDoc=oDoc~XTextDocument               /* get the XTextDocument interface                 */
   xTextDoc~getText~getEnd~setString(str)    /* add text at the end of the text document        */
end
else if oDoc~uno.queryServiceName("SpreadsheetDocument")<>"" then /* a SpreadsheetDocument?     */
do
   xSheet = oDoc~XSpreadSheetDocument~getSheets~XIndexAccess~getByIndex(0)~XSpreadSheet
   cell=uno.getCell(xSheet, "A1")            /* get cell object                                 */
   -- or: cell=uno.getCell(xSheet, 0, 0)     /* co-ordinates as 0-based numbers                 */
   text=cell~getFormula                      /* get unedited text                               */
   -- or: text=cell~XText~getString          /* use the XText interface method "getString"      */

   if text<>"" then str=text str             /* add "str" to existing text                      */

   call uno.setCell xSheet, "A1", str        /* set the text in the cell                        */
   -- or: call uno.setCell xSheet, 0, 0, str /* co-ordinates as 0-based numbers                 */
end
else  /* an unknown document type, display its implemented service(s)   */
do
   LF="0a"x                                  /* LF (line-feed) character                        */
   serviceNames=oDoc~uno.getServiceNames~changestr(" ", LF)

   url=oDoc~getUrl                           /* get Document's name (an URL)                    */
   if url<>"" then "Document URL/Name:" url LF LF serviceNames

   title="Unknown Document Type Implementing the Following Service(s)"
   .bsf.dialog~messageBox(serviceNames, title, "information")
end
      /* <== replace the previous part with your code (end)   */
return


/* this is a sample of how one could exploit ooRexx and BSF4Rexx error information */
syntax:    /* create and display condition/exception information in a popup dialog */
   o=condition("O")     -- get condition object, describing the condition/exception
   LF="0a"x             -- the line-feed character
   TAB="        "       -- blanks simulating a tab character

   tmpStr=""            -- set to empty string
   do idx over o~makeArray~sort   /* sort the directory indexes and iterate over them */
      val=o[idx]        -- get the associated value from the condition object (a directory)
      tmpStr=tmpStr || (idx || ":")~left(25) pp(val) LF

      if val~hasmethod("items") then   -- a collection? show its content
      do item over val
         tmpStr=tmpStr || tab || tab || pp(item) || LF
      end
   end

   if length(tmpStr)>750 then tmpStr=left(tmpStr,750)"..." -- show only the first 750 chars

   /* Are there any Java error messages/stack traces available, if so, show them */
   if var("BSF_ERROR_MESSAGE") | .local~hasEntry("BSF_ERROR_MESSAGE") then -- a BSF error message ?
   do
      if var("BSF_ERROR_MESSAGE") then errStr=BSF_ERROR_MESSAGE   -- variable from this scope
                                  else errStr=.bsf_error_message  -- value from .local environment

      tmpStr=tmpStr LF LF || "-"~copies(80) LF   -- extend the string
      tmpStr=tmpStr          "*** BSF4Rexx Error Information: ***" LF LF
      if length(errStr)>1000 then
         tmpStr=tmpStr || left(errStr,1000)"..."
      else
         tmpStr=tmpStr || errStr
   end

   .bsf.dialog~messageBox(tmpStr, "Runtime error #" o~code, "error") -- display the string


::requires UNO.CLS   /* load UNO support (OpenOffice/StarOffice) for ooRexx   */


